Hooks:PostHook(WeaponFactoryTweakData, "init", "HolosunSightInit", function(self)


	local custom_sight_id = "wpn_fps_upg_o_holosun"
	local based_on_id = "wpn_fps_upg_o_acog"
	local offset = Vector3(0, -2, 0.255) --original m4 stance (0, 10, -0.58)
	
	--offset stances for all weapon that can use this sight
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			wpn_id.translation = (wpn_id.translation + offset)
		end
	end
	
	--for weapon part that override sight to have its own stances
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					wpn_id.translation = (wpn_id.translation + offset)
				end
			end
		end
	end

	
end)